html, body {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    font-family: 'Montserrat', sans-serif;
}

header {
    margin-bottom: 5rem;
}

header a {
    text-decoration: none;
}

header a:link {
    color: black;
}

header a:visited {
    color: black;
}

header a.current {
    color: red;
}

@media only screen and (orientation: landscape) {
    header {
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
    }

    nav > ul > li {
        display: inline;
        margin-right: 5rem;
    }
}

@media only screen and (orientation: portrait) {
    header {
        text-align: center;
    }

    nav > ul {
        list-style: none;
    }

    nav > ul > li {
        margin-top: 2rem;
    }
}

main {
    flex: 1 0 auto;
    margin-bottom: 5rem;
}

.gallery {
    font-size: small;
    align-items: center;
}

.gallery-item img {
    width: 100%;
    height: 100%;
}

.gallery-item figcaption {
    margin-top: 1rem;
    margin-bottom: 2rem;
    text-align: center;
}

@media only screen and (orientation: landscape) {
    .gallery {
        display: flex;
        max-width: 100vw;
        flex-flow: row wrap;
    }

    .gallery-item {
        flex: 1;
        width: 33%;
    }
}

@media only screen and (orientation: portrait) {
    .gallery {
        display: block
    }
}

.contact, .media {
    padding-left: 10%;
    padding-right: 10%;
}

.media .image img {
    width: 100%;
    height: 100%;
}

@media only screen and (orientation: landscape) {
    .media {
        display: flex;
        align-items: flex-start;
    }

    .media .focus {
        flex: 2;
    }

    .media .aside {
        flex: 3;
    }
}

@media only screen and (orientation: portrait) {
    .media {
        display: block;
    }

    .media .image {
        text-align: center;
    }
}

footer {
    flex-shrink: 0;
    height: 5rem;
}
